// Copyright 2009 the Sputnik authors.  All rights reserved.
// This code is governed by the BSD license found in the LICENSE file.

/**
* @name: S12.5_A1.1_T1;
* @section: 12.5;
* @assertion: 0, null, undefined, false, empty string, NaN in expression is evaluated to false;
* @description: Using "if" without "else" construction;
*/


// Converted for Test262 from original Sputnik source

ES5Harness.registerTest( {
id: "S12.5_A1.1_T1",

path: "TestCases/12_Statement/12.5_The_if_Statement/S12.5_A1.1_T1.js",

assertion: "0, null, undefined, false, empty string, NaN in expression is evaluated to false",

description: "Using \"if\" without \"else\" construction",

test: function testcase() {
   //////////////////////////////////////////////////////////////////////////////
//CHECK#1

if(0)
	$ERROR('#1: 0 in expression is evaluated to false ');
//
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
//CHECK#2
if(false)
    $ERROR('#2: false in expression is evaluated to false ');
//
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
//CHECK#3
if(null)
	$ERROR('#3: null in expression is evaluated to false ');
//
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
//CHECK#4
if(undefined)
	$ERROR('#4: undefined in expression is evaluated to false ');
//
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
//CHECK#5
if("")
    $ERROR('#5: empty string in expression is evaluated to false ');
//
//////////////////////////////////////////////////////////////////////////////

//////////////////////////////////////////////////////////////////////////////
//CHECK#6
if(NaN)
    $ERROR('#5: NaN in expression is evaluated to false ');
//
//////////////////////////////////////////////////////////////////////////////

 }
});

