// Copyright 2009 the Sputnik authors.  All rights reserved.
// This code is governed by the BSD license found in the LICENSE file.

/**
 * @name: S15.8.1.8_A1;
 * @section: 15.8.1.8;
 * @assertion: Math.SQRT2 is approximately 1.4142135623730951;
 * @description: Comparing Math.SQRT2 with 1.4142135623730951;
 */

// Converted for Test262 from original Sputnik source

ES5Harness.registerTest( {
id: "S15.8.1.8_A1",

path: "TestCases/15_Native/15.8_The_Math_Object/15.8.1_Value_Properties_of_the_Math_Object/15.8.1.8_SQRT2/S15.8.1.8_A1.js",

assertion: "Math.SQRT2 is approximately 1.4142135623730951",

description: "Comparing Math.SQRT2 with 1.4142135623730951",

test: function testcase() {
   $INCLUDE("math_precision.js");
$INCLUDE("math_isequal.js");

// CHECK#1
if (!isEqual(Math.SQRT2, 1.4142135623730951)) {
  $ERROR('#1: \'Math.SQRT2 is not approximatley equal to 1.4142135623730951\'');
}


 }
});

